package com.biasi.partyapp;

import android.app.Activity;
import android.content.DialogInterface;
import android.os.Bundle;
import android.preference.Preference;
import android.preference.PreferenceFragment;
import android.support.v7.app.AlertDialog;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.MenuItem;

import com.biasi.partyapp.util.UtilNet;

public class ConfigScreen extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_config_screen);

        setResult(Activity.RESULT_OK);

        Toolbar mToolbar = (Toolbar) findViewById(R.id.toolbar_top);
        mToolbar.setTitle(R.string.action_settings);
        setSupportActionBar(mToolbar);
        getSupportActionBar().setDisplayHomeAsUpEnabled(true);

        PreferenceFragment fragment = new PreferenceFragment() {
            @Override
            public void onCreate(Bundle savedInstanceState) {
                super.onCreate(savedInstanceState);
                getPreferenceManager().setSharedPreferencesName("whisky");
                addPreferencesFromResource(R.xml.whisky_config);

                findPreference("update_facebook")
                        .setOnPreferenceClickListener(new Preference.OnPreferenceClickListener() {
                            @Override
                            public boolean onPreferenceClick(Preference preference) {
                                UtilNet.updateFacebookData(getActivity(), null);
                                return true;
                            }
                        });

                findPreference("erase_all")
                        .setOnPreferenceClickListener(new Preference.OnPreferenceClickListener() {
                            @Override
                            public boolean onPreferenceClick(Preference preference) {
                                new AlertDialog.Builder(getActivity())
                                        .setTitle("Apagar todos os dados")
                                        .setMessage(R.string.erase_warning_message)
                                        .setNegativeButton("Cancelar", null)
                                        .setPositiveButton("APAGAR TUDO", new DialogInterface.OnClickListener() {
                                            @Override
                                            public void onClick(DialogInterface dialog, int which) {
                                                ConfigScreen.this.setResult(456);
                                                ConfigScreen.this.finish();
                                            }
                                        })
                                        .create()
                                        .show();
                                return true;
                            }
                        });

            }
        };

        getFragmentManager().beginTransaction().replace(R.id.config_container, fragment).commit();
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem menuItem) {
        if (menuItem.getItemId() == android.R.id.home) {
            finish();
        }
        return super.onOptionsItemSelected(menuItem);
    }
}
