package com.biasi.partyapp;

import android.app.ProgressDialog;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AlertDialog;
import android.support.v7.app.AppCompatActivity;

import com.biasi.partyapp.interfaces.OnReadyListener;
import com.biasi.partyapp.models.Festa;
import com.biasi.partyapp.util.UtilNet;
import com.facebook.CallbackManager;
import com.facebook.FacebookCallback;
import com.facebook.FacebookException;
import com.facebook.login.LoginResult;
import com.facebook.login.widget.LoginButton;


public class LoginScreen extends AppCompatActivity {

    private CallbackManager callbackManager;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.activity_login_screen);

        callbackManager = CallbackManager.Factory.create();

        LoginButton loginButton = (LoginButton) findViewById(R.id.login_button);
        loginButton.setReadPermissions("user_friends");
        loginButton.registerCallback(callbackManager, new FacebookCallback<LoginResult>() {
            @Override
            public void onSuccess(LoginResult loginResult) {
                UtilNet.registerGCM(LoginScreen.this, new OnReadyListener() {
                    @Override
                    public void onReady(Object obj) {
                        finish();
                        startActivity(new Intent(LoginScreen.this, Principal.class));
                    }
                });
            }

            @Override
            public void onCancel() {
                Snackbar.make(findViewById(android.R.id.content), getString(R.string.error_request_facebook), Snackbar.LENGTH_SHORT).show();
            }

            @Override
            public void onError(FacebookException e) {
                new AlertDialog.Builder(LoginScreen.this)
                        .setTitle("Erro ao Fazer Login")
                        .setMessage("Erro: " + e.toString())
                        .setNeutralButton("Fechar", null)
                        .create()
                        .show();
            }
        });

        new CriaTabela().execute();
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        callbackManager.onActivityResult(requestCode, resultCode, data);
    }

    private class CriaTabela extends AsyncTask<Void, Void, Void> {

        ProgressDialog cx;

        @Override
        protected void onPreExecute() {
            cx = ProgressDialog.show(LoginScreen.this, null, "Configurando...", false, false, null);
        }

        @Override
        protected Void doInBackground(Void... params) {
            Festa.deleteAll(Festa.class);
            return null;
        }

        @Override
        protected void onPostExecute(Void aVoid) {
            cx.dismiss();
        }
    }
}
