package com.biasi.partyapp.gcm;

import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.graphics.BitmapFactory;
import android.media.RingtoneManager;
import android.net.Uri;
import android.os.Bundle;
import android.support.v7.app.NotificationCompat;

import com.biasi.partyapp.FestaScreen;
import com.biasi.partyapp.R;
import com.google.android.gms.gcm.GcmListenerService;

/**
 * Created by Gabriel de Biasi on 16/07/2015.
 */
public class GCMListenerService extends GcmListenerService {

    long[] v = {0, 300, 100, 300};

    @Override
    public void onMessageReceived(String from, Bundle data) {

        Intent i = new Intent(this, FestaScreen.class);
        i.putExtras(data);

        PendingIntent pd = PendingIntent.getActivity(this, 0, i, PendingIntent.FLAG_UPDATE_CURRENT);
        Uri alertSound = RingtoneManager.getActualDefaultRingtoneUri(this, RingtoneManager.TYPE_NOTIFICATION);
        Notification n = new NotificationCompat.Builder(this)
                .setContentTitle("Nova mensagem do Party")
                .setContentText(data.getString("message"))
                .setSound(alertSound)
                .setVibrate(v)
                .setAutoCancel(true)
                .setContentIntent(pd)
                .setSmallIcon(R.drawable.ic_notification)
                .setLargeIcon(BitmapFactory.decodeResource(getResources(), R.mipmap.ic_launcher))
                .build();

        NotificationManager nm = (NotificationManager) getSystemService(Context.NOTIFICATION_SERVICE);
        nm.notify(0, n);
    }
}
