# -*- coding: utf-8  -*-
from django.utils.translation import ugettext_lazy as _
from django import forms
from Party.models import Festa, Promoter
from django.forms import ModelForm
from django.contrib import auth
from django.contrib.auth.models import User
from municipios.widgets import SelectMunicipioWidget


class LoginForm(forms.Form):
	username = forms.CharField(label=_(u'Login de Acesso'), required=True)
	password = forms.CharField(label=_(u'Senha'), widget=forms.PasswordInput(), required=True)

	def clean(self):
		username = self.cleaned_data.get('username')
		password = self.cleaned_data.get('password')
		user = auth.authenticate(username=username, password=password)
		if not user or not user.is_active:
			raise forms.ValidationError(_(u'Dados não conferem. Tente novamente.'))
		return self.cleaned_data

	def login(self):
		username = self.cleaned_data.get('username')
		password = self.cleaned_data.get('password')
		user = auth.authenticate(username=username, password=password)
		return user

STYLE_CHOICES = (
	(1, _(u'Axé/Samba')),
	(2, _(u'Rock')),
	(3, _(u'Sertanejo')),
	(4, _(u'Pop')),
	(5, _(u'Funk')),
	(6, _(u'Eletrônica')),
	(7, _(u'Outros')),
)

class CidadeForm(forms.Form):
	cidade = forms.IntegerField(label=u'', widget=SelectMunicipioWidget)

class FestaForm(forms.ModelForm):
	style = forms.ChoiceField(choices=STYLE_CHOICES, label=_(u'Selecione o estilo do evento:'))
	class Meta:
		model = Festa
		fields = ['titulo', 'site', 'data', 'style', 'location', 'descricao', 'banner']
		labels = {
			'banner': _(u'Banner de apresentação:'),
			'titulo': _(u'Nome do evento:'),
			'location': _(u'Localize o evento no mapa:'),
			'descricao': _(u'Descrição:'),
			'site': _(u'Site: '),
			'data': _(u'Data e Hora:')
		}